Daemon Power

The NetBSD Packages Collection: devel/include-what-you-use

Brief description of the package:
Analyze #includes in C and C++ source files

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://include-what-you-use.org/.

Please note that this package has a modified-bsd license.

The package is located in the "devel/include-what-you-use" directory. The current source version of the package is "include-what-you-use-0.7nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/include-what-you-use :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: clang>=3.9.0 llvm-4.0.0{,nb*} python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 llvm>=3.9.0 libxml2>=2.8.0nb2 .

This package requires the following package(s) to run: clang>=3.9.0 llvm-4.0.0{,nb*} libxml2>=2.6.2 xmlcatmgr>=2.0beta1 llvm>=3.9.0 libxml2>=2.8.0nb2 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv7hfeb:include-what-you-use-0.5.tgz(NetBSD 7.0)
i386:include-what-you-use-0.7nb2.tgz(NetBSD 7.0)
i386:include-what-you-use-0.5nb1.tgz(NetBSD 7.0.0_PATCH)
i386:include-what-you-use-0.5nb1.tgz(NetBSD 7.0)
i386:include-what-you-use-0.6.tgz(NetBSD 7.0)
i386:include-what-you-use-0.7nb1.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.7nb2.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.5nb1.tgz(NetBSD 7.0.0_PATCH)
x86_64:include-what-you-use-0.5nb1.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.6.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.7nb1.tgz(NetBSD 7.0)
x86_64:include-what-you-use-0.7nb2.tgz(NetBSD 7.0.1_PATCH)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]